Bug 815804 - Repodata is not regenerated after removing a package from a custom channel.
Repodata is not regenerated after removing a package from a custom channel.
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
1.8
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-04-24 10:41 EDT by Tomas Lestach
Modified: 2012-11-01 12:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 796172
Environment:
Last Closed: 2012-11-01 12:18:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Lestach 2012-04-24 10:41:12 EDT
+++ This bug was initially created as a clone of Bug #796172 +++

Description of problem:
Repodata is not regenerated after removing a package from a custom channel.

How reproducible:
100%

Steps to Reproduce:
1. Download one RPM, f.e. zsh-4.0.7-1.1.i386.rpm
2. Create an empty Custom channel:
 Manage Software Channels -> Create new channel -> test_custom_channel, IA-32, sha1 
3. ll /var/cache/rhn/repodata/test_custom_channel/
total 32
-rw-r--r-- 1 root root 122 Feb 22 04:03 filelists.xml.gz
-rw-r--r-- 1 root root 120 Feb 22 04:03 other.xml.gz
-rw-r--r-- 1 root root 129 Feb 22 04:03 primary.xml.gz
-rw-r--r-- 1 root root 871 Feb 22 04:03 repomd.xml
  

4. Push the package to the channel using rhnpush

# date
Wed Feb 22 04:13:46 EST 2012

WebUI:
Last Modified: 	        2012-02-22 04:13:06 EST
Last Repo Build: 	2012-02-22 04:03:40 EST


# ll /var/cache/rhn/repodata/test_custom_channel/
total 32
-rw-r--r-- 1 root root 3323 Feb 22 04:13 filelists.xml.gz
-rw-r--r-- 1 root root 2631 Feb 22 04:13 other.xml.gz
-rw-r--r-- 1 root root 1149 Feb 22 04:13 primary.xml.gz
-rw-r--r-- 1 root root  871 Feb 22 04:13 repomd.xml


5. Delete the zsh rpm from the channel using packages.removePackage API


WebUI: Last Modified is not changed !!!
Last Modified: 	 2012-02-22 04:13:06 EST
Last Repo Build: 2012-02-22 04:13:06 EST

Repodate is not regenerated.
# ll /var/cache/rhn/repodata/test_custom_channel/
total 32
-rw-r--r-- 1 root root 3323 Feb 22 04:13 filelists.xml.gz
-rw-r--r-- 1 root root 2631 Feb 22 04:13 other.xml.gz
-rw-r--r-- 1 root root 1149 Feb 22 04:13 primary.xml.gz
-rw-r--r-- 1 root root  871 Feb 22 04:13 repomd.xml

# date
Wed Feb 22 04:35:12 EST 2012

....

# ll /var/cache/rhn/repodata/test_custom_channel/
total 32
-rw-r--r-- 1 root root 3323 Feb 22 04:13 filelists.xml.gz
-rw-r--r-- 1 root root 2631 Feb 22 04:13 other.xml.gz
-rw-r--r-- 1 root root 1149 Feb 22 04:13 primary.xml.gz
-rw-r--r-- 1 root root  871 Feb 22 04:13 repomd.xml
# date
Wed Feb 22 04:39:54 EST 2012


Actual results:
Outdated repodata

Expected results:
Updated repodata
Comment 1 Tomas Lestach 2012-04-24 10:44:34 EDT
spacewalk.git:
 fe5971a0f0fc51ce39aa32a0c8285f8e47d9311d (related commit)
 2790b43dbc17d462f72aebb3540dfff8112e997b
Comment 4 Jan Pazdziora 2012-10-30 15:23:26 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 5 Jan Pazdziora 2012-11-01 12:18:38 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.